<?php
declare(strict_types=1);

namespace App\Entity\Core;

use App\Entity\Access\Access;
use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\Collection;

#[ORM\MappedSuperclass]
abstract class AbstractControl
{
    #[ORM\Id]
    #[ORM\Column]
    #[ORM\GeneratedValue]
    protected ?int $id = null;

    #[ORM\ManyToOne(inversedBy: 'accompanistControl')]
    #[ORM\JoinColumn(nullable: true)]
    protected Access $accompanist;

    public function getId(): ?int
    {
        return $this->id;
    }
}
